0
votes
1answer
29 views

Why don't RedHat 5.x compiled Ruby-binaries work on Fedora 17?

I have compiled Ruby 2.0.0p247-binaries on a RedHat Enterprise Linux 5-system. When I require 'net/https' on this same system, everything is fine. The binaries have been installed on a common ...
0
votes
0answers
40 views

Installation of JavaScript runtime on old Red Hat server

I've been tasked with some infrastructure updates related to upgrading to Rails 3 on our development server, which is running: Red Hat Enterprise Linux AS release 4 (Nahant Update 5) RPM version ...
0
votes
0answers
190 views

How to fix rubygems.rb:1070:in `require': closed stream (IOError)?

I deployed a Rails app to a Red Hat server. It worked fine for over a week and then the server was automatically restarted during the weekend and now the app won't work. I was getting this error: ...
0
votes
2answers
991 views

How to install Phusion Passenger using RVM on Rackspace server?

I am getting ready to start hosting my own Ruby applications. I already have RVM installed on my production server. Now I would like to install Passenger. I have Ruby 1.9.2 set as the default. I ...
0
votes
2answers
202 views

Cannot install ruby version on redhat

I have the following problem and whatever I try, nothing helps. I hope someone could help me with this. I have a redhat server and I'm trying to install redmine on it. Redmine needs Ruby >= 1.8.7 to ...
1
vote
1answer
269 views

Ruby 1.8.7 on Plesk 9.5.4

I'm trying to get Ruby 1.8.7 installed on Plesk 9.5.4. I'm currently running 1.8.6 but gem requires a newer version of Ruby to be installed: /opt/ruby/bin/gem update --system Updating RubyGems ...
1
vote
1answer
2k views

Where is the gem command in RHEL6?

I just built RHEL 6 and I need to be able to install ruby gems, etc. I have the ruby 1.8.7 packages installed but there is no gem command anywhere? What gives?
0
votes
3answers
1k views

Is there a reliable RPM source for Redhat for Ruby 1.8.7?

I have looked but I am unable to locate a good RPM source for the latest 1.8.X release of Ruby. Is there one out there? This is going on a server to run some admin scripts and not to host Ruby based ...
1
vote
3answers
2k views

How can I uninstall software from an RHEL 5 system?

I installed Rubygems 1.3.4 on an RHEL 5 system. The way you install that is to download source and run setup.rb. I did not find a package for it through yum list available. Now I'd like to uninstall ...